API ReferenceWebhooksId
Update a webhook subscription
PUT
Change a subscription's URL, events, description, or whether it is active. An API key needs the webhooks:write scope.
header
AuthorizationBearer <API key>API key in the Authorization header: Authorization: Bearer ace_live_.... Use an ace_test_... key for the free, rate-capped sandbox.
id*stringapplication/json- body
url?stringFormat
urievents?array<string>is_active?booleandescription?stringUpdated
application/json- response
data?curl -X PUT 'https://example.com/api/v1/webhooks/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "data": { "id": "string", "url": "http://example.com", "events": [ "string" ], "secret": "string", "is_active": true, "description": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}